# module ERB::Util

### Public Class Methods

u (s)
Alias for: url_encode
url_encode (s)
Source

    # File lib/erb/util.rb, line 57
    def url_encode(s)
      CGI.escapeURIComponent(s.to_s)
    end

A utility method for encoding the `String` s as a URL.

    require "erb"
    include ERB::Util

    puts url_encode("Programming Ruby:  The Pragmatic Programmer's Guide")

Generates

    Programming%20Ruby%3A%20%20The%20Pragmatic%20Programmer%27s%20Guide

Also aliased as: u

### Private Instance Methods

u (s)
Alias for: url_encode
url_encode (s)
Source

    # File lib/erb/util.rb, line 57
    def url_encode(s)
      CGI.escapeURIComponent(s.to_s)
    end

A utility method for encoding the `String` s as a URL.

    require "erb"
    include ERB::Util

    puts url_encode("Programming Ruby:  The Pragmatic Programmer's Guide")

Generates

    Programming%20Ruby%3A%20%20The%20Pragmatic%20Programmer%27s%20Guide

Also aliased as: u